/**
  ******************************************************************************
  * File main.c
  * Description: Example of implementation of user bootloader (for Application Note AN2659)
  * Author: STMicroelectronics - MCD Prague Application Team
  * Version V2.0.0
  * Date 25/11/2010
  * Product: STM8S
  ******************************************************************************
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
  *
  * COPYRIGHT 2008 STMicroelectronics
  ******************************************************************************
  */ 
  
//#pragma SRC is required for assembler code with raisonance
#pragma SRC
/*
#include "main.h"
#include "stm8s.h"
#include "stm8s_gpio.h"
#include "stm8s_clk.h"
#include "stm8s_flash.h"
#include "stm8s_type.h"
#include "read_ID.h"
#include "firmware_config.h"
*/

#include "stm8s_flash.h"



#define main_fw (*((void(*)(void))0xFA00))
#define main_bl (*((void(*)(void))0x9080))

//**************************************************************************
void main(void){

if (FLASH_ReadByte(0x9000) == 0x01)
    main_bl();
else if(FLASH_ReadByte(0x9000) == 0x02)
    main_fw();
else
    main_bl();

  
}